<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');

$emp_tipo_doc=ucfirst(limpiar($_POST['emp_tipo_doc']));
$emp_cc=ucfirst(limpiar($_POST['empl_cc']));
$emp_nombre=mb_strtoupper(strtoupper(limpiar($_POST['emp_nombre'])));
$emp_primer_apellido=mb_strtoupper(strtoupper(limpiar($_POST['emp_primer_apellido'])));
$emp_segundo_apellido=mb_strtoupper (strtoupper(limpiar($_POST['emp_segundo_apellido'])));
$emp_telefono=ucfirst(limpiar($_POST['emp_telefono']));
$emp_direccion=mb_strtoupper(limpiar($_POST['emp_direccion']));
$emp_correo=mb_strtoupper(limpiar($_POST['emp_correo']));
//$emp_departamento=ucfirst(limpiar($_POST['emp_departamento']));
$emp_municipio=mb_strtoupper(limpiar($_POST['emp_municipio']));
$emp_tipo_trabajador=mb_strtoupper(strtoupper(limpiar($_POST['emp_tipo_trabajador'])));
$emp_subtipo_trabajador=mb_strtoupper(strtoupper(limpiar($_POST['emp_subtipo_trabajador'])));
$emp_tipo_contrato  =mb_strtoupper(strtoupper(limpiar($_POST['emp_tipo_contrato'])));
$emp_salario=mb_strtoupper(strtoupper(limpiar($_POST['emp_salario'])));
$emp_salario_integral=mb_strtoupper(limpiar($_POST['emp_salario_integral']));
$emp_alto_riesgo=mb_strtoupper(limpiar($_POST['emp_alto_riesgo']));
$emp_fecha_adminsion=limpiar($_POST['emp_fecha_adminsion']);
$emp_metodo_pago=mb_strtoupper(strtoupper(limpiar($_POST['emp_metodo_pago'])));
$emp_banco=mb_strtoupper(strtoupper(limpiar($_POST['emp_banco'])));
$emp_tipo_cuenta=mb_strtoupper(limpiar($_POST['tipo_cuenta']));
$emp_numero_cuenta=limpiar($_POST['emp_numero_cuenta']);


$query=mysqli_query($con,"SELECT * from empleados where emp_cc = '$emp_cc' and empresa='$empresa' ") or die(mysqli_error($con));
$results=mysqli_fetch_array($query);

if(isset($results['emp_cc']))
    {
        $numrows = $results['emp_cc'];
    }
    else
    {
        $numrows='0';
    }
    
    if($numrows > 0) // Condic贸n si hay resultados en la BD y si no hay ese registro
    {
        echo '<div class="alert alert-danger light">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button> 
                <i class="icon-verified_user"></i> <strong>Documento!</strong> No Disponible.
            </div>';
    }
    else
    {
            $registros=mysqli_query($con,"INSERT into empleados (emp_tipo_doc,emp_cc,emp_nombre,emp_primer_apellido,emp_segundo_apellido,emp_telefono,emp_direccion,emp_correo,emp_municipio,emp_tipo_trabajador,emp_subtipo_trabajador,emp_tipo_contrato,emp_salario,emp_salario_integral,emp_alto_riesgo,emp_fecha_adminsion,emp_metodo_pago,emp_banco,emp_tipo_cuenta,emp_numero_cuenta,empresa)
                      VALUES  ('$emp_tipo_doc','$emp_cc','$emp_nombre','$emp_primer_apellido','$emp_segundo_apellido','$emp_telefono','$emp_direccion','$emp_correo','$emp_municipio','$emp_tipo_trabajador','$emp_subtipo_trabajador','$emp_tipo_contrato','$emp_salario','$emp_salario_integral','$emp_alto_riesgo','$emp_fecha_adminsion','$emp_metodo_pago','$emp_banco','$emp_tipo_cuenta','$emp_numero_cuenta','$empresa')") or die(mysqli_error($con));
           
            echo '<div id="cerrar" class="alert alert-success alert-dismissable">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            <strong>Empleado!</strong> Registrado correctamente.
            </div>';
            ?>
<script type="text/javascript">
       document.getElementById("nuevo_empleado").reset();//limpia los campos del formulario

       //--funsion ocultar div
       setTimeout(function() {
        $('#cerrar').fadeOut('hide'); 
        },800); // <-- tiempo en milisegundos 
</script>
<?php  } ?>